package com.logicbig.example;

import javax.ws.rs.client.Client;
import javax.ws.rs.client.ClientBuilder;
import javax.ws.rs.client.InvocationCallback;
import javax.ws.rs.client.WebTarget;
import javax.ws.rs.core.Response;

public class OrderClient {

    public static void main(String[] args) throws Exception {
        Client client = ClientBuilder.newBuilder().build();
        WebTarget target =
                client.target("http://localhost:8080/orders");
        long start = System.currentTimeMillis();
        target.request().async().get(new InvocationCallback<Response>() {
            @Override
            public void completed(Response response) {
                String responseString = response.readEntity(String.class);
                System.out.println("response: " + responseString);
                System.out.println("time taken: " + (System.currentTimeMillis() - start));
            }

            @Override
            public void failed(Throwable throwable) {
                throwable.printStackTrace();
            }
        });
        System.out.println("request returns");
    }
}