package com.logicbig.example;

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.container.AsyncResponse;
import javax.ws.rs.container.Suspended;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

@Path("/orders")
public class OrderResource {

    @GET
    public void getAllOrders(@Suspended final AsyncResponse ar) {
        ExecutorService es = Executors.newSingleThreadExecutor();
        es.submit(() -> {
            try {
                //Simulating a long running process
                Thread.sleep(2000);
            } catch (InterruptedException e) {
                e.printStackTrace();
            }
            ar.resume("all orders data....");
            es.shutdown();
        });
    }
}